#include <stdint.h>
#include <stdbool.h>

//ytFhCog߂ include t@C
#include "inc/hw_memmap.h"
#include "inc/hw_types.h"
#include "driverlib/sysctl.h"
#include "driverlib/gpio.h"
#include "inc/hw_gpio.h"

//pinf[^
uint8_t ui8PinData=0;

int main(void)
{
    //VXeNbN̐ݒ(ŌʓI40MHz)
    SysCtlClockSet(SYSCTL_SYSDIV_5|SYSCTL_USE_PLL|SYSCTL_XTAL_16MHZ|SYSCTL_OSC_MAIN);
  
    //|[gւ̃NbN(K{)
    SysCtlPeripheralEnable(SYSCTL_PERIPH_GPIOF);
    
    //LED̏o͂ւ̕ݒ
    GPIOPinTypeGPIOOutput(GPIO_PORTF_BASE, GPIO_PIN_1|GPIO_PIN_2|GPIO_PIN_3);
    
    //XCb`̃bN̉
    HWREG(GPIO_PORTF_BASE + GPIO_O_LOCK) = GPIO_LOCK_KEY;
    HWREG(GPIO_PORTF_BASE + GPIO_O_CR) |= 0x01;
    HWREG(GPIO_PORTF_BASE + GPIO_O_LOCK) = 0;
    
    //XCb`̓͂ւ̐ݒ
    GPIOPinTypeGPIOInput(GPIO_PORTF_BASE, GPIO_PIN_4|GPIO_PIN_0);
    
    //(weak)vAbv̐ݒ
    GPIOPadConfigSet(GPIO_PORTF_BASE, GPIO_PIN_4|GPIO_PIN_0, GPIO_STRENGTH_2MA, GPIO_PIN_TYPE_STD_WPU);

    //C[v
    while(1)
    {
        //SWĂꍇ
        if( GPIOPinRead(GPIO_PORTF_BASE,GPIO_PIN_0)==0x00 && GPIOPinRead(GPIO_PORTF_BASE,GPIO_PIN_4)==0x00)
        {
            ui8PinData=2; //ԓ_
        }
        //SW1Ăꍇ
        else if(GPIOPinRead(GPIO_PORTF_BASE,GPIO_PIN_4)==0x00)
        {
            ui8PinData=4; //_
        }
        //SW2Ăꍇ
        else if(GPIOPinRead(GPIO_PORTF_BASE,GPIO_PIN_0)==0x00)
        {
            ui8PinData=8; //Γ_
        }
        //ǂSWĂȂꍇ
        else
        {
            ui8PinData=0; //
        }
        
        //LED֏o
        GPIOPinWrite(GPIO_PORTF_BASE, GPIO_PIN_1| GPIO_PIN_2| GPIO_PIN_3, ui8PinData);
        SysCtlDelay(2000000);
    }
    
}


